### Property

# Gdk Device:has-bidi-layouts

since: 4.0

#### Declaration

    property has-bidi-layouts: gboolean [ read ]

#### Description [src]

Whether the device has both right-to-left and left-to-right layouts.

This is only relevant for keyboard devices.

Type: | `gboolean`
Available since: | 4.0

Default value | FALSE
Getter method | `gdk_device_has_bidi_layouts()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no